import request from '@/utils/request'
	
/**
 * @Descripttion: 小程序客户Api接口
 * @version: (1.0)
 * @Author: (黎文豪)
 * @Date: (2023-06-05)
 * @LastEditors: (黎文豪)
 * @LastEditTime: (2023-06-05)
*/

// 小程序客户分页查询列表
export function customerList(query) {
  return request({
    url: '/business/Customer/getCustomerList',
    method: 'get',
    params: query
  })
}

// 小程序客户新增或修改
export function addOrUpdateCustomer(data) {
  return request({
    url: '/business/Customer/addOrUpdateCustomer',
    method: 'post',
    data: data,
  })
}

// 小程序客户删除
export function delCustomer(ids) {
  return request({
    url: '/business/Customer/'+ ids,
    method: 'delete'
  })
}

// 小程序客户导出
export function exportCustomer(query) {
  return request({
    url: 'business/Customer/exportCustomer',
    method: 'get',
    params: query
  })
}

